/*
 *          ***************
 *          *  F N B . H  *
 *          ***************
 *
 * F11ACP filename block (FNB)
 *
 * Edits:
 * V1.0 28-Nov-81 RBD   Initial edit.
 * V1.1 21-Dec-81 RBD	Typedef's in TYPDEF.H
 */

/*
 * File name block (FNB)
 */
struct fnb     {
               word     n_fid[3];      /* File ID */
               rad50    n_fnam[3];     /* File name (RAD50) */
               rad50    n_ftyp;        /* File extension (RAD50) */
               word     n_fver;        /* File version number */
               word     n_stat;        /* FNB status word */
               word     n_next;        /* Unused in FLSERV */
               word     n_did[3];      /* Directory file ID (DID) */
               char     n_dvnm[2];     /* Device name (ASCII) */
               word     n_unit;        /* Device unit number */
               };

/*
 * FNB Status values
 */
#define  NB_VER   1                    /* Explicit version given */
#define  NB_TYP   2                    /* Explicit extension given */
#define  NB_NAM   4                    /* Explicit file name given */
#define  NB_DIR   0100                 /* Explicit UIC given */
#define  NB_DEV   0200                 /* Explicit device spec given */

